php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #43368 MySQL Client API version too old in PHP4
Submitted: 2007-11-22 02:32 UTC Modified: 2008-03-17 21:02 UTC
Votes:6
Avg. Score:4.0 ± 0.8
Reproduced:5 of 5 (100.0%)
Same Version:3 (60.0%)
Same OS:5 (100.0%)
From: carsten_sttgt at gmx dot de Assigned:
Status: Wont fix Package: MySQL related
PHP Version: 4.4.7 OS: Windows_NT
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: carsten_sttgt at gmx dot de
New email:
PHP Version: OS:

 

 [2007-11-22 02:32 UTC] carsten_sttgt at gmx dot de
Description:
------------
Hello,

now after 2 years, the same bug as in Bug #32557 still exists (and setting this to bogus in #32557 is just a bad joke. Maybe it is a "Won't fix", because you wont do the job).

The problem is just the very, very old MySQL-Client (3.23.49), which is used for compiling the MySQL extension in PHP4/Win.

And in PHP4/Win the extension is compiled in, and not a shared extension, so we (a Windows user) can't use an other (newer) extension in an easy way.

BTW:
In conclusion this sentence in the PHP-Manual [1] is not true for PHP4/Win:
> Although this MySQL extension is compatible with MySQL 4.1.0
> and greater. 

Regards,
Carsten

[1] http://de.php.net/manual/en/ref.mysql.php#mysql.installation


Reproduce code:
---------------
MySQL standard setup with:
default-character-set = utf8

<?php
$link = mysql_connect('localhost', 'root', '');
if (!$link) {
    die('Could not connect: ' . mysql_error());
}
echo 'Connected successfully';
mysql_close($link);
?>


Expected result:
----------------
| D:\PHP>php test.php
| Connected successfully
| D:\PHP>


Actual result:
--------------
| D:\PHP>php test.php
| File 'c:\mysql\share\charsets\?.conf' not found (Errcode: 2)
| Character set '#33' is not a compiled character set and is not \
| specified in the 'c:\mysql\share\charsets\Index' file
| Connected successfully
| D:\PHP>


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2008-03-17 00:53 UTC] jani@php.net
We are sorry, but we can not support PHP 4 related problems anymore.
Momentum is gathering for PHP 6, and we think supporting PHP 4 will
lead to a waste of resources which we want to put into getting PHP 6
ready.


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Sep 28 16:03:37 2021 UTC